VLMGR(1)

NAME
vlmgr - administration utility for QDBM Villa

SYNOPSIS
vlmgr create [-cz|-cy|-cx] name
vlmgr put [-kx|-ki] [-vx|-vi|-vf] [-keep|-cat|-dup] name key val
vlmgr out [-l] [-kx|-ki] name key
vlmgr get [-nl] [-l] [-kx|-ki] [-ox] [-n] name key
vlmgr list [-nl] [-k|-v] [-kx|-ki] [-ox] [-top key] [-bot key] [-gt] [-lt] [-max num] [-desc] name
vlmgr optimize name
vlmgr inform [-nl] name
vlmgr remove name
vlmgr repair [-ki] name
vlmgr exportdb [-ki] name file
vlmgr importdb [-ki] name file
vlmgr version

DESCRIPTION
This manual page documents briefly the vlmgr commands.

vlmgr is a utility for debugging Villa and its applications. It features editing and checking of a database. It can be used for database applications with shell scripts. This command is used in the above format. name specifies a database name. key specifies the key of a record. val specifies the value of a record.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#villacli.

-cz compress leaves in the database with ZLIB.

-cy compress leaves in the database with LZO.

-cx compress leaves in the database with BZIP2.

-l  all records corresponding the key are dealt.

-kx treat key as a binary expression of hexadecimal notation.

-ki treat key as an integer expression of decimal notation.

-vx treat val as a binary expression of hexadecimal notation.

-vi treat val as an integer expression of decimal notation.

-vf read the value from a file specified with val.

-keep
    specify the storing mode for `VL_DKEEP'.

-cat
    specify the storing mode for `VL_DCAT'.

-dup
    specify the storing mode for `VL_DDUP'.

-nl open the database without file locking.

-top key
    specify the top key of listing.

-bot key
    specify the bottom key of listing.

-gt do not include the top key of listing.

-lt do not include the bottom key of listing.

-max num
    specify the max number of listing.

-desc
    list in descending order.

-ox treat the output as a binary expression of hexadecimal notation.

-n  do not output the tailing newline.

-k  output keys only.

-v  output values only.

SEE ALSO
qdbm(3) vltsv(1), villa(3), vlopen(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).